#include <string>
#include <iostream>
#include "tempset.h"
#include "feat_skill.h"
using namespace std;

int main(){
	// esempio con features
	TempSet<Feat> tf;
	tf.insert(Feat("invulnerabilit"),20);
	tf.insert(Feat("ipi"),350);
	tf.insert(Feat("ipi"),50);
	tf.insert(Feat("ipi"),150);
	tf.insert(Feat("blabla"),500);
	
	pair<TempSet<Feat>::iterator, TempSet<Feat>::iterator> cop=tf.equal_range(Feat("ipi"));
	for(TempSet<Feat>::iterator it=cop.first; it!=cop.second; ++it)
		cout << (*it) << endl;
	
	// esempio con skill
	TempSet<Skill> ts;
	ts.insert(Skill("scavare",2),20);
	ts.insert(Skill("nuotare",3),350);
	ts.insert(Skill("nuotare",7),50);
	ts.insert(Skill("nuotare",5),150);
	ts.insert(Skill("volare",7),500);
	
	pair<TempSet<Skill>::iterator, TempSet<Skill>::iterator> cop2=ts.equal_range(Skill("nuotare"));
	for(TempSet<Skill>::iterator it=cop2.first; it!=cop2.second; ++it)
		cout << (*it).n() << " " << (*it).q() << endl;
	
	return 0;
}
